pfSense - Regression #14987

“Interface Address ' is no longer an option for outbound NAT targets
11/15/2023 08:43 AM - Danilo Zrenjanin

Status: Not a Bug Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Rules / NAT Estimated time: 0.00 hour
Target version:

Plus Target Version: Affected Version: 272
Release Notes: Default Affected All

Architecture:

Description

After upgrading to version 23.09, the option to choose a Tailscale address when defining an outbound NAT rule on the Tailscale
interface is no longer available.

Steps to reproduce.

1.) Define Tailscale setup and confirm that it is active under Status/Tailscale

2.) Navigate to Firewall/NAT/Outbound and define a new mapping using the Tailscale interface.
3.) Click on the Translation - Address drop-down menu.

4.) Notice that there is no option for a Tailscale address to choose.

Translation

Type Address

Connections matching this rule will be mapped to the specified address. If specifying a custom network or alias, it

po ot

Only Round Robin types work with Host Aliases. Any type can be used with a Subnet.

+ Round Robin: Loops through the translation addresses.
History

#1 - 11/15/2023 09:00 AM - Lev Prokofev
- File clipboard-202311151300-hsm4m.png added

- Status changed from New to Confirmed
Can confirm this,

tested on

23.09-RELEASE (amdé64)

built on Tue Oct 31 22:56:00 MSK 2023
FreeBSD 14.0-CURREN

06/16/2025 1/4




Address Network or Alias v T

Type cl

Connections matching this rule will be mapped Lz

M

Pool options Default ne

Only Round Robin types work with Host Aliases

.

Round Robin: Loops through the translat R
Random: Selects an address from the trz
Source Hash: Uses a hash of the source

.

ru

.

for a given source. Sit

Bitmask: Applies the subnet mask and k| sp

Sticky Address: The Sticky Address optig “
ie
is always mapped to the same translatio
tre

Port or Range e
Enter the external source Port or Range used f{ 1
source port on connections matching the rule te

Port ranges are a low port and high port numbg 1

Leave blank when Static Port is checked.

#2 - 11/15/2023 11:58 AM - aleksei prokofiev

- File clipboard-202311151456-gyk8a.png added
- File clipboard-202311151456-da78t.png added
- File clipboard-202311151458-eunfa.png added
- File clipboard-202311151458-tggqd.png added

Tested

23.09-RELEASE (amd64)

built on Tue Oct 31 22:56:00 MSK 2023
FreeBSD 14.0-CURRENT

If 1 assign Tailscale interface, in this case it is presented

! 128 v

a custom network or alias, it must be routed to the firewall.

ddress, ensuring that the redirection address is always the same

10 = x.x.%.50.

ound Robin pool types to ensure that a particular source address

tic Port

Address | TAILSCALE1 address

Metwork or Alias
WAN address

LAM address
TAILSCALE1 address

Port or Range

pped to the specified address. If specifying a custom network

[[] Static Port

Enter the external source Port or Range used for remapping the original
Interface Assignments Interface Groups Wireless VLANSs QinQs
Interface Network port
WAN em0 (08:00:27:ec:05:8¢c)
LAN em1 (08:00:27:d7:a4:6e)
Tailscalel tailscale0 (tailscale0)

#3 - 11/25/2023 09:53 AM - Danilo Zrenjanin
~ ﬁ Delete

-I-l- Delete
I've just tested and confirmed on 23.05.1 that there was no need to assign the Tailscale interface to have it in the list of available interfaces in the

Outbound NAT rules.

Assigning a Tailscale interface in pfSense is wrong.

#4 - 12/12/2023 02:22 AM - Chad Wagner

Is there a workaround until this gets fixed?

#5 - 12/12/2023 04:25 AM - Mike Moore
| second this issue. Is there a workaround.
If you are using tailscale to set a Site2Site VPN then traffic leaving the tailscale interface to a remote network learned within the tailnet must be
sourced using the Tailscale interface.

Danilo - Are you saying that outbound SNAT rules are done automatically now?

#6 - 12/12/2023 04:28 AM - Mike Moore

UPDATE:
| see the Tailscale interface has now been added back in 23.09.1

Please update the ticket to let us know if this is resolved permanently

#7 - 12/12/2023 04:43 AM - Chad Wagner

I am running 23.09.1. The Tailscale address is still missing from the pull-down menu in the translation section. In the setup video by Christian
McDonald it says to not assign tailscale0 to an interface. Previously it appeared the "Tailscale address" selection was available in the outbound NAT
rule creation without assigning the interface.

| have mine setup per the Tailscale website instructions, but it is basically making all UDP traffic have static NAT. | would rather have only Tailscale
traffic be handled with static NAT.

#8 - 12/15/2023 08:29 AM - Danilo Zrenjanin

- File clipboard-202312150919-hksmq.png added
- File clipboard-202312150922-4btvs.png added
- File clipboard-202312150928-9zksy.png added

I've tested on 23.09.1. Indeed, there is no Tailscale address from the drop-down menu in the translation section.

As a workaround, you can define an IP Alis VIP using localhost as the Parent interface and the Tailscale address of that node for IP.

Firewall / Virtual IPs (2]
Virtual IP Address

Virtual IP address Interface Type Description Actions
100.88.202.25/32 Localhost IP Alias tailscaleVIP 210

In the outbound NAT rule, the VIP address defined in the previous step will be available in the drop-down menu.

Translation

Address 100.88.202.25 (tailscaleVIP) v
Type

Connections matching this rule will be mapped to the specified address. If specifying a custom network or alias, it must be routed to the firewall.

Port or Range () Static Port
Enter the external source Port or Range used for remapping the original
source port on connections matching the rule.

Port ranges are a low port and high port number separated by ":".
Leave blank when Static Port is checked.

Once the outbound NAT rule is configured on both sides, the traffic flows as intended in both directions.
Firewall / NAT / Outbound (?)

Port Forward 11 Outbound NPt
Outbound NAT Mode
Mode O o] O O
Automatic outbound NAT Hybrid Outbound NAT Manual Outbound NAT Disable Outbound NAT
rule generation. rule generation. rule generation. rule generation.
(IPsec passthrough (Automatic Outbound (AON - Advanced (No Outbound NAT rules)
included) NAT + rules below) Outbound NAT)

Source Destination NAT Static
O Interface Source Port Destination Port NAT Address Port Port Description Actions
O ' Tailscale LAN subnets * * * 100.88.202.25 * 3 test tailscale 20
(tailscaleVIP) m

#9 - 12/15/2023 10:59 PM - Marcos M
- Project changed from pfSense Packages to pfSense

- Subject changed from Tailscale Address option is missing in Translation Address section under Firewall/NAT/Outbound to ““Interface Address’" is no
longer an option for outbound NAT targets

- Category changed from Tailscale to Rules / NAT
- Status changed from Confirmed to Not a Bug

- Assignee deleted (Christian McDonald)

- Affected Version setto 2.7.2

- Release Notes set to Default

- Affected Architecture All added

The "Interface Address" selection is no longer available due to general changes to the outbound NAT pages which bring similar features as other
parts of the firewall. For example:

Expose <interface> subnets aliases in source/destination
Expose <interface group> networks aliases in source/destination
Alias popup preview on the NAT Address field

Better error handling on rules to avoid filter reload failures

With other VPN types such as OpenVPN, IPsec, or WireGuard, the option isn't needed or simply doesn't apply. However, Tailscale is an edge case
that indeed benefits from having the "Interface Address" option given that it cannot have an interface assignment. In this case, the address should be
entered by selecting Network or Alias. If there's a use-case that necessitates frequently changing the interface address, an option for this edge case
could be considered.

#10 - 12/20/2023 04:27 AM - Jonathan Lee

Does this cause issues with layer 2 experimental rules? They are MAC address or interface based.
